commit 5bb0345ab3b6d0894fa34cbcbe77bef5425b2940
Author: David Malcolm <dmalcolm@redhat.com>
Date:   Fri Sep 12 16:24:35 2025

    testsuite: fix typo in name of plugin test file
    
    Backported from commit 85a97e1a8ee934f46b89958b8374dd880dd489a4
    
    gcc/testsuite/ChangeLog:
            * gcc.dg/plugin/crash-test-write-though-null-sarif.c: Rename to...
            * gcc.dg/plugin/crash-test-write-through-null-sarif.c: ...this.
            * gcc.dg/plugin/crash-test-write-though-null-stderr.c: Rename to...
            * gcc.dg/plugin/crash-test-write-through-null-stderr.c: ...this.
            * gcc.dg/plugin/plugin.exp: Update for above renamings.  Sort the
            test files for crash_test_plugin.cc alphabetically.
    
    Signed-off-by: David Malcolm <dmalcolm@redhat.com>

diff --git a/gcc/testsuite/gcc.dg/plugin/plugin.exp b/gcc/testsuite/gcc.dg/plugin/plugin.exp
index 4221ae1a63f..cccfd3baabc 100644
--- a/gcc/testsuite/gcc.dg/plugin/plugin.exp
+++ b/gcc/testsuite/gcc.dg/plugin/plugin.exp
@@ -70,12 +70,12 @@ set plugin_test_list [list \
     { poly-int-06_plugin.cc poly-int-test-1.c } \
     { poly-int-07_plugin.cc poly-int-test-1.c } \
     { crash_test_plugin.cc \
-	  crash-test-ice-stderr.c \
-	  crash-test-write-though-null-stderr.c \
-	  crash-test-ice-sarif.c \
 	  crash-test-ice-in-header-sarif-2.1.c \
 	  crash-test-ice-in-header-sarif-2.2.c \
-	  crash-test-write-though-null-sarif.c } \
+	  crash-test-ice-sarif.c \
+	  crash-test-ice-stderr.c \
+	  crash-test-write-through-null-sarif.c \
+	  crash-test-write-through-null-stderr.c } \
     { diagnostic_plugin_xhtml_format.cc \
 	  diagnostic-test-xhtml-1.c } \
     { diagnostic_group_plugin.cc \

